SeExpr

Public Member Functions | Public Attributes | List of all members
DeepWaterEditable Struct Reference

`#include <Editable.h>`

Inheritance diagram for DeepWaterEditable:

## Public Member Functions
| DeepWaterEditable (const std::string &name, int startPos, int endPos)
void | setParams (const SeDeepWaterParams &paramsIn)
bool | parseComment (const std::string &)
| parses a comment. if false is returned then delete the control from the editable More...
std::string | str () const
void | appendString (std::stringstream &stream) const
virtual bool | controlsMatch (const Editable &other) const
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
SeDeepWaterParams | params
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 327 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ DeepWaterEditable()

DeepWaterEditable::DeepWaterEditable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 330 of file Editable.h.

## Member Function Documentation

## ◆ appendString()

void DeepWaterEditable::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 342 of file Editable.h.

References SeDeepWaterParams::amplitude, SeDeepWaterParams::directionalFactorExponent, SeDeepWaterParams::directionalReflectionDamping, SeDeepWaterParams::filterWidth, SeDeepWaterParams::flowDirection, SeDeepWaterParams::lengthCutoff, params, printVal(), SeDeepWaterParams::resolution, SeDeepWaterParams::sharpen, SeDeepWaterParams::tileSize, SeDeepWaterParams::time, SeDeepWaterParams::windAngle, and SeDeepWaterParams::windSpeed.

## ◆ controlsMatch()

virtual bool DeepWaterEditable::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 357 of file Editable.h.

References UNUSED.

## ◆ parseComment()

bool DeepWaterEditable::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 334 of file Editable.h.

## ◆ setParams()

void DeepWaterEditable::setParams | ( | const SeDeepWaterParams & | paramsIn | ) |
| inline

Definition at line 332 of file Editable.h.

References params.

## ◆ str()

std::string DeepWaterEditable::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 336 of file Editable.h.

References Editable::name.

## Member Data Documentation

## ◆ params

SeDeepWaterParams DeepWaterEditable::params

Definition at line 328 of file Editable.h.

Referenced by appendString(), DeepWaterControl::deepWaterChanged(), DeepWaterControl::DeepWaterControl(), and setParams().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h